<template>
    <v-simple-table>
        <template v-slot:default>
            <tbody>
            <tr class="fieldRow" v-for="student in fields" :key="student.id">
                <td class="fieldInfo" @click="goToLesson(student.id)">
                    <h3>{{ student.field_name }}</h3>
                    <div>
                        <span v-for="(teach, i) in student.teachers" :key="i">
                            {{ teach.first_name + " " + teach.name }}<span
                            v-if="i < student.teachers.length - 1">,</span>
                        </span>
                    </div>
                </td>
                <td class="action-field">
                    <v-icon>{{ student.icon }}</v-icon>
                </td>
            </tr>
            </tbody>
        </template>
    </v-simple-table>
</template>

<script>
import { mapGetters } from "vuex";

export default {
    name: 'TableTeachers',
    props: {
        fields: {
            default: []
        }
    },
    computed: {
        ...mapGetters([
            'user'
        ]),
    },
    methods: {
        goToLesson(idLesson) {
            this.$router.push({ name: 'LessonReader', params: { id: idLesson } });
        },
    }
}
</script>

<style lang="css" scoped>
.fieldInfo:hover {
    cursor: pointer;
}

.action-field {
    text-align: right;
}
</style>
